View Issue Details

IDProjectCategoryView StatusLast Update
0000053Kali Linux[All Projects] Tool Upgradepublic2013-10-31 16:01
Reporterethicalhack3r Assigned Todookie  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.0.6 
Summary0000053: WPScan to use Git repo || v2.1
DescriptionHi,

It seems that WPScan was updated from version 1.0 in BackTrack to 2.0 in Kali.

We released version 2.1 a couple of weeks ago - https://github.com/wpscanteam/wpscan/tags

Our preference would be to install WPScan in Kali using Git as this would allow the user to issue the "update" command in WPScan (./wpscan.rb --update) to update to the latest release. We commit new code almost on a daily basis which includes the databases which we sometimes push plugin/theme/core 0days to.

We have numerous checks in place, such as automated testing on commits to ensure that all commits pass the unit tests (which are very comprehensive) to minimise the chances of 'breaking' the code. If we do commit code that breaks WPScan an email is sent to all developers and a fix is normally in place within a few minutes.

If installing WPScan in Kali from our Git repo is not possible, then please could v2.1 be pushed to Kali and we'll see if there's anything we can do on our side to ensure users have the latest WPScan databases and code.

Thanks a bunch,
Ryan

Activities

dookie

2013-03-14 20:05

administrator   ~0000095

Last edited: 2013-03-14 20:05

View 2 revisions

We aren't worried about your updates breaking your code :)
The issue with allowing tool updates is that the package manager will know nothing about files changed post-install so when it comes time to remove the package, excess cruft will be left behind in the filesystem.

We'll get 2.1 packaged and pushed out soon.

ethicalhack3r

2013-05-18 10:49

reporter   ~0000459

Hi,

It seems WPScan was updated to 2.0 but not 2.1 causing issues with dependencies.

Thanks,
Ryan

ethicalhack3r

2013-06-18 16:29

reporter   ~0000578

Hi,

Can WPScan be updated to latest version 2.1 please and also can we be added to the bleeding-edge repository?

2.1 - https://github.com/wpscanteam/wpscan/tags

Thank you,
Ryan

dookie

2013-06-25 22:08

administrator   ~0000595

Version 2.1 added in wpscan_2.1+git20130625-1kali0.

We'll see if we can get it added into bleeding-edge as well.

Thanks!

gantie

2013-07-19 22:51

reporter   ~0000644

Last edited: 2013-07-20 09:08

View 2 revisions

nope. not working... I wonder what the hell is wrong :(

 i followed all possible instructions:
 1. deleted the wpscan that came with kali
 2. downloaded the git version installed the wpscan-master..
 3. updated the kali distro ....
uhmmm what else...
 4. i tried installing the ruby gems...
 5. updated
 6. installed the gems missing
 BUG: i install the gem diff-lcs , re run the wpscan --url www.example.com
and it's saying i need that same gem i just installed. the diff-lcs
o.O

gantie

2013-07-19 22:54

reporter  

report BUG.tiff (74,580 bytes)

kimocoder

2013-08-10 01:16

reporter   ~0000689

root@kali:~# wpscan --version
____________________________________________________
 __ _______ _____
 \ \ / / __ \ / ____|
  \ \ /\ / /| |__) | (___ ___ __ _ _ __
   \ \/ \/ / | ___/ \___ \ / __|/ _` | '_ \
    \ /\ / | | ____) | (__| (_| | | | |
     \/ \/ |_| |_____/ \___|\__,_|_| |_| v2.1rNA

    WordPress Security Scanner by the WPScan Team
 Sponsored by the RandomStorm Open Source Initiative
_____________________________________________________

./wpscan.rb: unrecognized option `--version'
[ERROR] unrecognized option `--version'
Trace :
/usr/lib/ruby/1.9.1/getoptlong.rb:394:in `set_error'
/usr/lib/ruby/1.9.1/getoptlong.rb:501:in `get'
/usr/lib/ruby/1.9.1/getoptlong.rb:602:in `block in each'
/usr/lib/ruby/1.9.1/getoptlong.rb:601:in `loop'
/usr/lib/ruby/1.9.1/getoptlong.rb:601:in `each'
/usr/share/wpscan/lib/wpscan/wpscan_options.rb:158:in `load_from_arguments'
./wpscan.rb:14:in `main'
./wpscan.rb:327:in `<main>'
root@kali:~#

dookie

2013-10-31 16:01

administrator   ~0001051

Updated wpscan in wpscan_2.1+git20131024-1kali0.

Issue History

Date Modified Username Field Change
2013-03-13 14:49 ethicalhack3r New Issue
2013-03-14 20:05 dookie Note Added: 0000095
2013-03-14 20:05 dookie Assigned To => dookie
2013-03-14 20:05 dookie Status new => assigned
2013-03-14 20:05 dookie Note Edited: 0000095 View Revisions
2013-05-18 10:49 ethicalhack3r Note Added: 0000459
2013-06-18 16:29 ethicalhack3r Note Added: 0000578
2013-06-25 22:08 dookie Note Added: 0000595
2013-07-19 22:51 gantie Note Added: 0000644
2013-07-19 22:51 gantie Status assigned => new
2013-07-19 22:54 gantie File Added: report BUG.tiff
2013-07-20 09:08 gantie Note Edited: 0000644 View Revisions
2013-08-10 01:16 kimocoder Note Added: 0000689
2013-10-31 16:01 dookie Note Added: 0001051
2013-10-31 16:01 dookie Status new => resolved
2013-10-31 16:01 dookie Fixed in Version => 1.0.6
2013-10-31 16:01 dookie Resolution open => fixed